%global momorel 1
%global boost_version 1.55.0

Name: libcmis
Version: 0.5.1
Release: %{momorel}m%{?dist}
Summary: A C++ client library for the CMIS interface

Group: System Environment/Libraries
License: GPL+ or LGPLv2+ or MPLv1.1
URL: http://sourceforge.net/projects/libcmis/
Source: https://github.com/tdf/libcmis/releases/download/v%{version}/%{name}/%{name}-%{version}.tar.gz
# NoSource: 0

Patch0: 0001-Add-new-Google-Drive-OAuth-2.0-login-procedure.patch
Patch1: 0002-Add-new-mokup-login-pages.patch
Patch2: 0003-Fix-test-in-test-factory.patch
Patch3: 0004-Fix-test-in-test-gdrive.patch
Patch4: 0005-Fix-test-in-test-onedrive.patch
Patch5: 0001-update-boost.m4-to-fix-version-detection-with-gcc-6..patch
Patch6: 0001-rhbz-1410197-limit-the-number-of-redirections.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: boost-devel >= %{boost_version}
BuildRequires: libcurl-devel
BuildRequires: libxml2-devel

%description
LibCMIS is a C++ client library for the CMIS interface. This allows C++
applications to connect to any ECM behaving as a CMIS server like
Alfresco, Nuxeo for the open source ones.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary: Command line tool to access CMIS
Group: Applications/Publishing
Requires: %{name} = %{version}-%{release}

%description tools
The %{name}-tools package contains a tool for accessing CMIS from the
command line.

%prep
%setup -q

%patch0 -p1 -b .google_drive_auth
%patch1 -p1 -b .new_mokup_login
%patch2 -p1 -b .003
%patch3 -p1 -b .004
%patch4 -p1 -b .005
%patch5 -p1 -b .boost_m4
%patch6 -p1 -b .1410197

%build
%configure --disable-static --disable-tests --disable-werror --without-man
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/*.la
rm -rf %{buildroot}%{_mandir}

%if 0
%check
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
make %{?_smp_mflags} check
%endif

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.* ChangeLog NEWS
%{_libdir}/%{name}-*.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}*
%{_libdir}/%{name}-*.so
%{_libdir}/pkgconfig/%{name}-*.pc


%files tools
%defattr(-,root,root,-)
%{_bindir}/cmis-client


%changelog
* Tue May 16 2017 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.1-1m)
- version 0.5.1
- import patches from fedora

* Sun Jan 12 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.0-2m)
- rebuild against boost-1.55.0

* Wed Jan  2 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.0-1m)
- update to 0.3.0
- rebuild against boost-1.52.0

* Sun Jul 15 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.1.0-3m)
- rebuild for boost

* Wed Jul 11 2012 Hiromasa YOSHIMTOO <y@momonga-linux.org>
- (0.1.0-2m)
- rebuild for boost 1.50.0

* Thu May 17 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.1.0-1m)
- Initial Commit Momonga Linux

